# XMPP::MUC::User Class Reference

`#include <xmpp_muc.h>`

Inheritance diagram for XMPP::MUC::User:

List of all members.

## Public Types

| None
| Moderator
| Participant
| Visitor
| Unknown = 999
| None_a
| Owner
| Admin
| Member
| Outcast
| Unknown_a = 999
enum | Role { None, Moderator, Participant, Visitor, Unknown = 999 }
enum | Affiliation { None_a, Owner, Admin, Member, Outcast, Unknown_a = 999 }

## Public Member Functions

| User ()
| ~User ()
Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank.

## Static Public Member Functions

static const PCaselessString & | NamespaceTag ()

## Public Attributes

PString | m_Nick
Role | m_Role
Affiliation | m_Affiliation

## Member Enumeration Documentation

enum XMPP::MUC::User::Affiliation

Enumerator:

  None_a |
  Owner |
  Admin |
  Member |
  Outcast |
  Unknown_a |

enum XMPP::MUC::User::Role

Enumerator:

  None |
  Moderator |
  Participant |
  Visitor |
  Unknown |

## Constructor & Destructor Documentation

XMPP::MUC::User::User | ( |  | ) |

XMPP::MUC::User::~User | ( |  | ) |

## Member Function Documentation

Comparison XMPP::MUC::User::Compare | ( | const PObject & | obj | ) | const`[virtual]`

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns:
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Reimplemented from PObject.

static const PCaselessString& XMPP::MUC::User::NamespaceTag | ( |  | ) | `[static]`

## Member Data Documentation

Affiliation XMPP::MUC::User::m_Affiliation

PString XMPP::MUC::User::m_Nick

Role XMPP::MUC::User::m_Role

The documentation for this class was generated from the following file:

- xmpp_muc.h